iCloud system requirements

iPhone, iPad, iPod touch

  1. iOS 5 or later

Mac

  1. OS X Lion 10.7.2 or later
  2. iTunes 10.5 or later
  3. iPhoto’11 (version 9.2 or later) or Aperture 3.2 or later (for Photo Stream)

PC

  1. Microsoft Windows 7 or Vista (Service Pack 2 or later)
  2. iCloud Control Panel 1.0 or later
  3. iTunes 10.5 or later
  4. Outlook 2007 or 2010 or later (recommended for Contacts and Calendar)
  5. Safari 5.1.1 or Internet Explorer 8 or later (for Bookmarks)

Apple TV

  1. Apple TV with software version 4.4 or later

icloud.com
To access your mail, contacts, calendars, Find My iPhone, and iWork documents from your computer’s web browser, one of these browsers is required:

  1. Safari 5 or later
  2. Firefox 5 or later
  3. Internet Explorer 8 or later
  4. Chrome 12 or later

iWork
To use iWork for iOS apps with Documents in the Cloud, the following versions are required:

  1. Pages 1.5 or later
  2. Numbers 1.5 or later
  3. Keynote 1.5 or later

Photo Stream
To delete photos from Photo Stream, the following versions are required:

  1. iOS 5.1 or later
  2. OS X Lion 10.7.3 or later
  3. iPhoto ’11 (version 9.2.2 or later) or Aperture 3.2.3 or later
  4. iCloud Control Panel 1.1 or later
  5. Apple TV with software version 5.0 or later